# application




# embedded server



# datasource



# 本地开发 centos
#spring.datasource.url=jdbc:mysql://127.0.0.1/ordermanager_uat?autoReconnect=true&useUnicode=true&characterEncoding=UTF-8&zeroDateTimeBehavior=convertToNull&tinyInt1isBit=false&useSSL=false&serverTimezone=Asia/Shanghai
#spring.datasource.username=root
#spring.datasource.password=Rain!^**!@2016

# 本地开发 macos qch
#spring.datasource.url=jdbc:mysql://127.0.0.1/order_prod_2020_backup_20201022?autoReconnect=true&useUnicode=true&characterEncoding=UTF-8&zeroDateTimeBehavior=convertToNull&tinyInt1isBit=false&useSSL=false&serverTimezone=Asia/Shanghai
#spring.datasource.url=jdbc:mysql://127.0.0.1/order_qch_backup_20201209?autoReconnect=true&useUnicode=true&characterEncoding=UTF-8&zeroDateTimeBehavior=convertToNull&tinyInt1isBit=false&useSSL=false&serverTimezone=Asia/Shanghai
#spring.datasource.url=jdbc:mysql://127.0.0.1/order_qch_backup_20201216?autoReconnect=true&useUnicode=true&characterEncoding=UTF-8&zeroDateTimeBehavior=convertToNull&tinyInt1isBit=false&useSSL=false&serverTimezone=Asia/Shanghai
#spring.datasource.url=jdbc:mysql://127.0.0.1/order_qch_backup_20210105?autoReconnect=true&useUnicode=true&characterEncoding=UTF-8&zeroDateTimeBehavior=convertToNull&tinyInt1isBit=false&useSSL=false&serverTimezone=Asia/Shanghai
#spring.datasource.username=root
#spring.datasource.password=root@2016

#内网地址：rm-wz949306t03an8m8s.mysql.rds.aliyuncs.com	内网端口：3306
#外网地址：rm-wz949306t03an8m8s4o.mysql.rds.aliyuncs.com	外网端口：3306

# 测试 RDS
# 外网地址
#spring.datasource.url=jdbc:mysql://rm-wz949306t03an8m8s4o.mysql.rds.aliyuncs.com/ordermanager_uat?autoReconnect=true&useUnicode=true&characterEncoding=UTF-8&zeroDateTimeBehavior=convertToNull&tinyInt1isBit=false&useSSL=false&serverTimezone=Asia/Shanghai
# 20201207 同步
#spring.datasource.url=jdbc:mysql://rm-wz949306t03an8m8s4o.mysql.rds.aliyuncs.com/ordermanger_qch?autoReconnect=true&useUnicode=true&characterEncoding=UTF-8&zeroDateTimeBehavior=convertToNull&tinyInt1isBit=false&useSSL=false&serverTimezone=Asia/Shanghai
#spring.datasource.url=jdbc:mysql://rm-wz949306t03an8m8s4o.mysql.rds.aliyuncs.com/ordermanger_test?autoReconnect=true&useUnicode=true&characterEncoding=UTF-8&zeroDateTimeBehavior=convertToNull&tinyInt1isBit=false&useSSL=false&serverTimezone=Asia/Shanghai
#spring.datasource.url=jdbc:mysql://rm-wz949306t03an8m8s4o.mysql.rds.aliyuncs.com/ordermanger_board?autoReconnect=true&useUnicode=true&characterEncoding=UTF-8&zeroDateTimeBehavior=convertToNull&tinyInt1isBit=false&useSSL=false&serverTimezone=Asia/Shanghai
#spring.datasource.url=jdbc:mysql://rm-wz949306t03an8m8s4o.mysql.rds.aliyuncs.com/ordermanager_uat?autoReconnect=true&useUnicode=true&characterEncoding=UTF-8&zeroDateTimeBehavior=convertToNull&tinyInt1isBit=false&useSSL=false&serverTimezone=Asia/Shanghai
#spring.datasource.username=ordertest
#spring.datasource.password=Order$@u0072

# 侨城汇 测试环境
#spring.datasource.url=jdbc:mysql://120.77.47.114:8089/uniorder_test_20211018?autoReconnect=true&useUnicode=true&characterEncoding=UTF-8&zeroDateTimeBehavior=convertToNull&tinyInt1isBit=false&useSSL=false&serverTimezone=Asia/Shanghai
#spring.datasource.username=root
#spring.datasource.password=9gB2Qrmo

# 超级前台 测试环境 20220728
spring.datasource.url=jdbc:mysql://112.74.48.214:53307/uniorder_test_20211018?autoReconnect=true&useUnicode=true&characterEncoding=UTF-8&zeroDateTimeBehavior=convertToNull&tinyInt1isBit=false&useSSL=false&serverTimezone=Asia/Shanghai
spring.datasource.username=root
spring.datasource.password=service_newbak2019

# 侨城汇 测试环境
#spring.datasource.ural=jdbc:mysql://120.77.47.114：8089/uniorder_test_20210408?autoReconnect=true&useUnicode=true&characterEncoding=UTF-8&zeroDateTimeBehavior=convertToNull&tinyInt1isBit=false&useSSL=false&serverTimezone=Asia/Shanghai
#spring.datasource.username=root
#spring.datasource.password=9gB2Qrmo

#内网地址：rm-wz920yrai5s2t95y1.mysql.rds.aliyuncs.com	内网端口：3306
#外网地址：rm-wz920yrai5s2t95y1o.mysql.rds.aliyuncs.com	外网端口：3306

# 生产 RDS
# 外网地址
#spring.datasource.url=jdbc:mysql://rm-wz920yrai5s2t95y1o.mysql.rds.aliyuncs.com/order_production?autoReconnect=true&useUnicode=true&characterEncoding=UTF-8&zeroDateTimeBehavior=convertToNull&tinyInt1isBit=false&useSSL=false&serverTimezone=Asia/Shanghai
# 内网地址
#spring.datasource.url=jdbc:mysql://rm-wz920yrai5s2t95y1.mysql.rds.aliyuncs.com/order_production?autoReconnect=true&useUnicode=true&characterEncoding=UTF-8&zeroDateTimeBehavior=convertToNull&tinyInt1isBit=false&useSSL=false&serverTimezone=Asia/Shanghai
#spring.datasource.username=avic_order
#spring.datasource.password=sjE9hdjeIPJw6Mki

# redis
spring.redis.host=127.0.0.1
spring.redis.port=6379
spring.redis.database=0
spring.redis.password=
spring.redis.timeout=60000ms

# SpringBoot 2.X版本整合 Redis时，偶尔出现连接超时情况 2.x 版本自带的Redis客户端是 lettuce
spring.redis.jedis.pool.minIdle=0
spring.redis.jedis.pool.maxIdle=8
spring.redis.jedis.pool.maxWait=-1
spring.redis.jedis.pool.maxActive=8


# mybatis & pagehelper


#弃用? start
# dubbo && zookeeper
#spring.dubbo.application.name=provider
#spring.dubbo.registry.address=zookeeper://47.107.240.183:2181?backup=112.74.48.214:9092,120.79.80.138:9092
#spring.dubbo.protocol.name=dubbo
#spring.dubbo.protocol.port=20880
#spring.dubbo.provider.retries=0
#spring.dubbo.provider.timeout=10000
#弃用? start


# Dubbo Registry
#dubbo.registry.address=zookeeper://47.107.240.183:2181?backup=112.74.48.214:9092,120.79.80.138:9092
#dubbo.registry.address=zookeeper://127.0.0.1:2181
dubbo.registry.protocol=zookeeper
dubbo.registry.address=127.0.0.1:2181


# Dubbo Protocol
dubbo.application.name=provider-service-all
dubbo.protocol.name=dubbo
dubbo.protocol.port=20880
dubbo.protocol.payload=52428800

dubbo.provider.retries=0
dubbo.provider.timeout=30000


# ######################################## 配置 zookeeper start ########################################

# curator
#大小写
## localhost:2181,localhost:2182
#zookeeper.servers=127.0.0.1:2181
## 指定分布式锁路径
#zookeeper.lockPath=/lock/
## session超时时间
#zookeeper.sessionTimeoutMs=60000
## 连接超时时间
#zookeeper.connectionTimeoutMs=5000
## 尝试获取锁最大重试次数
#zookeeper.retryCount=5
## 重试间隔时间
#zookeeper.elapsedTimeMs=1000

# Zookeeper
zookeeper.servers=127.0.0.1:2181
# 指定分布式锁路径
zookeeper.lock_path=/lock/
# session超时时间
zookeeper.session_timeout_ms=60000
# 连接超时时间
zookeeper.connection_timeout_ms=5000
# 尝试获取锁最大重试次数
zookeeper.retry_count=5
# 重试间隔时间
zookeeper.elapsed_time_ms=1000

# ######################################## 配置 zookeeper   end ########################################


# ######################################## 配置 kafka start ########################################

spring.kafka.bootstrap-servers=127.0.0.1:9092
spring.kafka.listener.missing-topics-fatal=false

#### kafka配置生产者 begin ####
# 写入失败时，重试次数。当leader节点失效，一个repli节点会替代成为leader节点，此时可能出现写入失败，
# 当retris为0时，produce不会重复。retirs重发，此时repli节点完全成为leader节点，不会产生消息丢失。
spring.kafka.producer.retries=0
# 每次批量发送消息的数量,produce积累到一定数据，一次发送
spring.kafka.producer.batch-size=16384
# produce积累数据一次发送，缓存大小达到buffer.memory就发送数据，producer可以用来缓存数据的内存大小。如果数据产生速度大于向broker发送的速度，producer会阻塞或者抛出异常，以“block.on.buffer.full”来表明。这项设置将和producer能够使用的总内存相关，但并不是一个硬性的限制，因为不是producer使用的所有内存都是用于缓存。一些额外的内存会用于压缩（如果引入压缩机制），同样还有一些用于维护请求。
spring.kafka.producer.buffer-memory=33554432
#procedure要求leader在考虑完成请求之前收到的确认数，用于控制发送记录在服务端的持久化，其值可以为如下：
#acks = 0 如果设置为零，则生产者将不会等待来自服务器的任何确认，该记录将立即添加到套接字缓冲区并视为已发送。在这种情况下，无法保证服务器已收到记录，并且重试配置将不会生效（因为客户端通常不会知道任何故障），为每条记录返回的偏移量始终设置为-1。
#acks = 1 这意味着leader会将记录写入其本地日志，但无需等待所有副本服务器的完全确认即可做出回应，在这种情况下，如果leader在确认记录后立即失败，但在将数据复制到所有的副本服务器之前，则记录将会丢失。
#acks = all 这意味着leader将等待完整的同步副本集以确认记录，这保证了只要至少一个同步副本服务器仍然存活，记录就不会丢失，这是最强有力的保证，这相当于acks = -1的设置。
#可以设置的值为：all, -1, 0, 1
spring.kafka.producer.acks=1
# 指定消息key和消息体的编解码方式
spring.kafka.producer.key-serializer=org.apache.kafka.common.serialization.StringSerializer
spring.kafka.producer.value-serializer=org.apache.kafka.common.serialization.StringSerializer
#### kafka配置生产者 end ####

#### kafka配置消费者 start ####
# Kafka中没有初始偏移或如果当前偏移在服务器上不再存在时,默认区最新 ，有三个选项 【latest, earliest, none】
# smallest和largest才有效，如果smallest重新0开始读取，如果是largest从logfile的offset读取。一般情况下我们都是设置smallest
#spring.kafka.consumer.auto-offset-reset=earliest
spring.kafka.consumer.auto-offset-reset=latest
# 是否开启自动提交 # enable.auto.commit:true --> 设置自动提交offset
spring.kafka.consumer.enable-auto-commit=true
# 自动提交的时间间隔 如果'enable.auto.commit'为true，则消费者偏移自动提交给Kafka的频率（以毫秒为单位），默认值为5000。
spring.kafka.consumer.auto-commit-interval=1000
# 指定消息key和消息体的编解码方式
# key的解码方式
spring.kafka.consumer.key-deserializer=org.apache.kafka.common.serialization.StringDeserializer
# value的解码方式
spring.kafka.consumer.value-deserializer=org.apache.kafka.common.serialization.StringDeserializer
#### kafka配置消费者 end ####

# ######################################## 配置 kafka   end ########################################









# ######################################## 配置 todo 整合 start ########################################

uniorder.setting.enabled=true
# 积分结算-未对账流水-创建对账单 对账单存在 未完成/售后中 的订单流水，是否能创建对账单 是-允许 否-不允许
uniorder.setting.accounting.score.customer.opCreate.insist_on_able=false
# 供应商结算-京东对账-导入账单 比对订单时 是否受限于选择的供应商订单 是-只能是选择的供应商;否-全部供应商
uniorder.setting.thirdpart.jd.accounting.OpCompareOrderAndCheckUp.is_limit_sale=false
uniorder.setting.thirdpart.jd.accounting.OpCompareOrderAndCheckUp.is_open_thread_pool=true
uniorder.setting.thirdpart.jd.accounting.OpCompareOrderAndCheckUp.core_pool_size=5
uniorder.setting.thirdpart.jd.accounting.OpCompareOrderAndCheckUp.max_pool_size=10

excel.export.enabled=true
excel.export.path.root=/data
excel.export.path.template=/template
excel.export.path.storage=/_storage

goods.transport.fiscal_code=3040409030000000000
goods.transport.tax_code=3040409030000000000
goods.transport.tax_rate=6

# ######################################## 配置 todo 整合   end ########################################



# ######################################## 配置 调用第三方Api start ########################################

retrofit.pool.test1.max-idle-connections=3
retrofit.pool.test1.keep-alive-second=100
retrofit.disable-void-return-type=false
retrofit.global-converter-factories[0]=com.github.lianjiatech.retrofit.spring.boot.core.BasicTypeConverterFactory
retrofit.global-converter-factories[1]=retrofit2.converter.jackson.JacksonConverterFactory
retrofit.global-call-adapter-factories[0]=com.github.lianjiatech.retrofit.spring.boot.core.BodyCallAdapterFactory
retrofit.global-call-adapter-factories[1]=com.github.lianjiatech.retrofit.spring.boot.core.ResponseCallAdapterFactory
retrofit.log.enable=true
retrofit.log.logging-interceptor=com.github.lianjiatech.retrofit.spring.boot.interceptor.DefaultLoggingInterceptor
retrofit.log.global-log-level=info
retrofit.log.global-log-strategy=body
retrofit.retry.enable-global-retry=true
retrofit.retry.global-interval-ms=1
retrofit.retry.global-max-retries=1
retrofit.retry.global-retry-rules[0]=response_status_not_2xx
retrofit.retry.global-retry-rules[1]=occur_io_exception
retrofit.retry.retry-interceptor=com.github.lianjiatech.retrofit.spring.boot.retry.DefaultRetryInterceptor
retrofit.degrade.enable=true
retrofit.degrade.degrade-type=sentinel
retrofit.degrade.resource-name-parser=com.github.lianjiatech.retrofit.spring.boot.degrade.DefaultResourceNameParser
retrofit.global-connect-timeout-ms=5000
retrofit.global-read-timeout-ms=5000
retrofit.global-write-timeout-ms=5000
retrofit.global-call-timeout-ms=0

# 超级前台 福利商城 生产环境
test.superdeskmall.flsc.baseUrl=https://fm.superdesk.cn/
test.superdeskmall.flsc.accessToken=fp3PTngM5vdvLupZVRHkE2UeWl2u8a2V
test.superdeskmall.flsc.accessKeyId=root
test.superdeskmall.flsc.accessKeySecret=123456

# 侨城汇 福利商城 生产环境
test.superdeskmall.flscqch.baseUrl=https://welfarepre.octlife.cn/
test.superdeskmall.flscqch.accessToken=fp3PTngM5vdvLupZVRHkE2UeWl2u8a2V
test.superdeskmall.flscqch.accessKeyId=root
test.superdeskmall.flscqch.accessKeySecret=123456

# 超级前台 企业内购 生产环境
test.superdeskmall.qyng.baseUrl=https://bm.superdesk.cn/
test.superdeskmall.qyng.accessToken=fp3PTngM5vdvLupZVRHkE2UeWl2u8a2V
test.superdeskmall.qyng.accessKeyId=root
test.superdeskmall.qyng.accessKeySecret=123456

# 侨城汇 统一订单 生产环境
test.superdesk.uniorder.octlife.baseUrl=https://uniorderapi.octlife.cn/
#test.superdesk.uniorder.octlife.baseUrl=https://ordertest.octlife.cn/
#test.superdesk.uniorder.octlife.baseUrl=http://192.168.6.223:8089/
test.superdesk.uniorder.octlife.accessToken=fp3PTngM5vdvLupZVRHkE2UeWl2u8a2V
# Native/ASCII
# 45 广州康柏特贸易有限公司 \u5e7f\u5dde\u5eb7\u67cf\u7279\u8d38\u6613\u6709\u9650\u516c\u53f8
# 1 前台优选 \u524d\u53f0\u4f18\u9009
test.superdesk.uniorder.octlife.accessKeyId=1
test.superdesk.uniorder.octlife.accessKeySecret=\u524d\u53f0\u4f18\u9009
#test.superdesk.uniorder.octlife.accessKeyId=45
#test.superdesk.uniorder.octlife.accessKeySecret=\u5e7f\u5dde\u5eb7\u67cf\u7279\u8d38\u6613\u6709\u9650\u516c\u53f8

# 超级前台 服务之窗 测试环境
test.superdesk.cloud.opendata.baseUrl=http://wx.palmnest.com/
test.superdesk.cloud.opendata.accessToken=fp3PTngM5vdvLupZVRHkE2UeWl2u8a2V
test.superdesk.cloud.opendata.accessKeyId=fwzcFiCI7Ulg854dOufU
test.superdesk.cloud.opendata.accessKeySecret=b8c4d9d706c71a08e2230d30f4b713720cb1be0f

# 超级前台 服务之窗 生产环境
#test.superdesk.cloud.opendata.baseUrl=http://superdesk.avic-s.com/
#test.superdesk.cloud.opendata.accessToken=fp3PTngM5vdvLupZVRHkE2UeWl2u8a2V
#test.superdesk.cloud.opendata.accessKeyId=fwzcFiCI7Ulg854dOufU
#test.superdesk.cloud.opendata.accessKeySecret=b8c4d9d706c71a08e2230d30f4b713720cb1be0f


#https://eitest.szhtxx.com/dzfpTest/electronicInvoiceFunction
#https://eitest.szhtxx.com:10443/dzfpTest/electronicInvoiceFunction

# szhtxx.electronicInvoice 测试环境
#openapi.call.thirdpart.szhtxx.electronicInvoice.enabled=true
#openapi.call.thirdpart.szhtxx.electronicInvoice.baseUrl=https://eitest.szhtxx.com/dzfpTest/
#openapi.call.thirdpart.szhtxx.electronicInvoice.accessToken=1031530698uNeAnogkN8kkbppABrnF+Q==
#openapi.call.thirdpart.szhtxx.electronicInvoice.accessKeyId=440301999999980
#openapi.call.thirdpart.szhtxx.electronicInvoice.accessKeySecret=1031530698uNeAnogkN8kkbppABrnF+Q==

openapi.call.thirdpart.szhtxx.electronicInvoice.enabled=true
openapi.call.thirdpart.szhtxx.electronicInvoice.baseUrl=https://eitest.szhtxx.com:10443/dzfpTest/
openapi.call.thirdpart.szhtxx.electronicInvoice.accessToken=1031530698uNeAnogkN8kkbppABrnF+Q==
openapi.call.thirdpart.szhtxx.electronicInvoice.accessKeyId=440301999999980
openapi.call.thirdpart.szhtxx.electronicInvoice.accessKeySecret=1031530698uNeAnogkN8kkbppABrnF+Q==


# push message url & h5 url
pushMessage.orgId=627
pushMessage.url=http://wx.palmnest.com/super_service/wechat/pushmsgout/phonemsg
h5.url=http://119.23.39.237/avicfile/ordermanger/h5/#/

# ######################################## 配置 调用第三方Api   end ########################################


# ######################################## 配置 开放第三方Api start ########################################

qchjc.push.enable=true
qchjc.domain=http://139.9.216.19:8826

qchjc.customer.makeInvoiceStatusSyncApi=/mall/reconciliationBuyerInvoice/InvoiceStatusSync
qchjc.customer.receivePaymentStatusSyncApi=/mall/reconciliationBuyerInvoice/recPaymentStatusSync
qchjc.customer.statementCancelApi=/mall/reconciliationBuyerInvoice/cancel
qchjc.customer.receiveInvoiceStatusSyncApi=/mall/receiveInvoiceStatusSyncApi

qchjc.supplier.receiveInvoiceStatusSyncApi=/mall/reconciliationSupplier/recInvoiceStatusSync
qchjc.supplier.paymentStatusSyncApi=/mall/reconciliationSupplier/paymentStatusSync
qchjc.supplier.statementCancelApi=/mall/reconciliationSupplier/cancel

# ######################################## 配置 开放第三方Api   end ########################################



